using System;
using NUnit.Framework;

namespace Orciid.Core
{
	/// <summary>
	/// Test class
	/// </summary>
	/// <remarks>
	/// This class contains test methods.  It does not need to be compiled into the package.
	/// </remarks>
	[TestFixture]
	public class TestCollection
	{
		/// <summary>
		/// Test
		/// </summary>
		/// <remarks>
		/// Test
		/// </remarks>
		[Test]
		public void ExtendedResourceCheck()
		{
			Assert.IsTrue(Collection.IsExtendedResource("test.xml"));

			Assert.IsFalse(Collection.IsExtendedResource("test.jpg"));

			// check if invalid characters are ignored
			Assert.IsFalse(Collection.IsExtendedResource("<test.xml>"));
		}
	}
}
